# link with shared libs
%bcond_without dynamic
%bcond_without hinotify
%bcond_without libmpd
%bcond_with    iwlib

# ghc does not emit debug information
%global debug_package %{nil}

Name:           xmobar
Version:        0.11.1
Release:        4%{?dist}
Summary:        A minimalistic text-based status bar

Group:          User Interface/X
License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        xmobar.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  desktop-file-utils
BuildRequires:  ghc
BuildRequires:  ghc-rpm-macros >= 0.8.1
BuildRequires:  ghc-X11-devel >= 1.3.0
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with hinotify}
BuildRequires:  ghc-hinotify-devel
%endif
%if %{with libmpd}
BuildRequires:  ghc-libmpd-devel
%endif
%if %{with iwlib}
BuildRequires:  wireless-tools-devel
%endif

%description
Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.


%prep
%setup -q


%build
%cabal_configure --ghc --flags="with_utf8 with_xft" \
    %{?with_hinotify:--flags="with_inotify"}        \
    %{?with_libmpd:  --flags="with_mpd"}            \
    %{?with_iwlib:   --flags="with_iwlib"}
%cabal build
pushd scripts
%{_bindir}/ghc %{?with_dynamic:-dynamic} --make xmonadpropwrite.hs
popd


%install
rm -rf %{buildroot}
desktop-file-install                         \
  --dir=%{buildroot}%{_datadir}/applications \
   %{SOURCE1}
pushd scripts
mkdir -p %{buildroot}%{_bindir}
install --mode=0755 -p xmonadpropwrite %{buildroot}%{_bindir}/xmonadpropwrite
popd
%ghc_bin_install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/xmonadpropwrite
%{_datadir}/applications/xmobar.desktop
%{_datadir}/%{name}-%{version}/xmobar.config-sample


%changelog
* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-4
- Ship a desktop file as well

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-3
- Enable libmpd and hinotify by default
- Ship the README

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-2
- Build xmonadpropwrite as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Tue Aug 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
